Bug 22743 - OverDrive results page is missing overdrive-login include
Summary: OverDrive results page is missing overdrive-login include
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Nick Clemens
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-19 11:28 UTC by Nick Clemens
Modified: 2019-04-26 15:14 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22743: Add password modal to overdrive results page (1.86 KB, patch)
2019-04-19 11:30 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22743: Add password modal to overdrive results page (1.91 KB, patch)
2019-04-22 11:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22743: Add password modal to overdrive results page (1.97 KB, patch)
2019-04-25 06:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-04-19 11:28:08 UTC
To test:
1 - Enable overdrive circulation with password required
2 - Sign in to OPAC but not overdrive
3 - Perform a search that returns overdrive results
4 - Click in to results page
    http://localhost:8080/cgi-bin/koha/opac-overdrive-search.pl?q=cats
5 - Note 'Login to OverDrive account' link
6 - Click it
7 - Nothing happens!
Comment 1 Nick Clemens 2019-04-19 11:30:14 UTC
Created attachment 88348 [details] [review]
Bug 22743: Add password modal to overdrive results page

This patch also removes a line abotu ratings which was throwing an error.
Confirm stars rating for OD results are still shown as expected

To test:
 1 - Enable overdrive circulation with password required
 2 - Sign in to OPAC but not overdrive
 3 - Perform a search that returns overdrive results
 4 - Click in to results page
     http://localhost:8080/cgi-bin/koha/opac-overdrive-search.pl?q=cats
 5 - Note 'Login to OverDrive account' link
 6 - Click it
 7 - Nothing happens!
 8 - Apply patch
 9 - Repeat
10 - Success!
Comment 2 Owen Leonard 2019-04-22 11:59:59 UTC
Created attachment 88371 [details] [review]
Bug 22743: Add password modal to overdrive results page

This patch also removes a line abotu ratings which was throwing an error.
Confirm stars rating for OD results are still shown as expected

To test:
 1 - Enable overdrive circulation with password required
 2 - Sign in to OPAC but not overdrive
 3 - Perform a search that returns overdrive results
 4 - Click in to results page
     http://localhost:8080/cgi-bin/koha/opac-overdrive-search.pl?q=cats
 5 - Note 'Login to OverDrive account' link
 6 - Click it
 7 - Nothing happens!
 8 - Apply patch
 9 - Repeat
10 - Success!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2019-04-25 06:07:36 UTC
Patch reads well, trusting Owen's testing here!
Comment 4 Katrin Fischer 2019-04-25 06:09:35 UTC
Created attachment 88683 [details] [review]
Bug 22743: Add password modal to overdrive results page

This patch also removes a line abotu ratings which was throwing an error.
Confirm stars rating for OD results are still shown as expected

To test:
 1 - Enable overdrive circulation with password required
 2 - Sign in to OPAC but not overdrive
 3 - Perform a search that returns overdrive results
 4 - Click in to results page
     http://localhost:8080/cgi-bin/koha/opac-overdrive-search.pl?q=cats
 5 - Note 'Login to OverDrive account' link
 6 - Click it
 7 - Nothing happens!
 8 - Apply patch
 9 - Repeat
10 - Success!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-04-25 11:59:37 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-04-26 15:14:24 UTC
Pushed to 18.11.x for 18.11.05